<?php
// ini_set('display_erros',1);
session_start();
date_default_timezone_set('America/Lima');
if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}
require_once ("../../config/Cado.php");

require_once ("../talonario/cTalonario.php");
$oTalonario= new cTalonario();

require_once("../ordencompra/cOrdencompra.php");
$oOrdencompra = new cOrdencompra();

require_once ("../documento/cDocumento.php");
$oDocumento= new cDocumento();

require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once("../producto/cProductomarcacodigo.php");
$oProductomarcacodigo = new cProductomarcacodigo();

require_once("../formatos/formato.php");


if($_POST['action']=="insertar")
{	

 	if(!empty($_POST['txt_ordcom_fec']))
 	{
		$est=1;
		$_POST['cmb_doc_id'] = 32;
		
		$dts= $oDocumento->mostrarUno($_POST['cmb_doc_id']);
		$dt = mysqli_fetch_array($dts);
		$doc_nom=$dt['tb_documento_nom'];
		$doc_abr=$dt['tb_documento_abr'];
		mysqli_free_result($dts);
		
		
		if($doc_abr=='T'){
		$ser = 'T'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='F'){
		$ser = 'F'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='B'){
		$ser = 'B'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='GR'){
		$ser = 'GR'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='NC'){
		$ser = 'NC'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='P'){
		$ser = 'P'.$_SESSION['usuario_ser'];
		}else if($doc_abr=='OC'){
		$ser = 'OC'.$_SESSION['usuario_ser'];
		}

		$dts= $oTalonario->correlativo($_SESSION['puntoventa_id'],$_POST['cmb_doc_id'],$ser);
		$dt = mysqli_fetch_array($dts);
			$tal_id=$dt['tb_talonario_id'];
			$tal_ser=$dt['tb_talonario_ser'];
			$tal_fin=$dt['tb_talonario_fin'];
			$tal_num=$dt['tb_talonario_num'];
		mysqli_free_result($dts);
		
		$numero=$tal_num;
		$largo=strlen($tal_fin);
		$numero=str_pad($numero,$largo, "0", STR_PAD_LEFT);
		$numdoc=$tal_ser.'-'.$numero;
		
		
 		$oOrdencompra->insertar(
			fecha_mysql($_POST['txt_ordcom_fec']),
			$_POST['cmb_doc_id'],
			$numdoc,
			$_POST['hdd_ordcom_pro_id'],
			$_POST['txt_ordcom_pro_nom'],
			moneda_mysql($_POST['txt_ordcom_tot']), 
			$est, 	
			$_SESSION['usuario_id'],
			$_POST['cmb_empresa_id']
		);

 		$dts=$oOrdencompra->ultimoInsert();
 		$dt = mysqli_fetch_array($dts);
 			$ordcom_id=$dt['id'];
 		mysqli_free_result($dts);

		$estado='1';
		if($tal_num==$tal_fin)
		{
			$estado='2';
		}
		$numero=$tal_num+1;
		$rs3 = $oTalonario->actualizar_correlativo($tal_id, $numero, $estado);
				

		foreach($_SESSION['ordencompra_can'] as $indice=>$can)
		{
			
			$precom = $_SESSION['ordencompra_precom'][$indice];
			$mar_id = $_SESSION['ordencompra_marid'][$indice];
			$cat_id = $_SESSION['ordencompra_catid'][$indice];
						
			$oOrdencompra->insertar_detalle(
				$cat_cod,
				$cat_id,
				$mar_id,
				abs($can),
				$precom,
				$ordcom_id
			);	
		}
		
		unset($_SESSION['ordencompra_can']);
		unset($_SESSION['ordencompra_precom']);
		unset($_SESSION['ordencompra_marid']);
		unset($_SESSION['ordencompra_catid']);
		
		$data['ordcom_est']='1';
		$data['ordcom_id']=$ordcom_id;
		
		
			unset($_SESSION['ordencompra_precom']);
        	unset($_SESSION['ordencompra_catid']);
        	unset($_SESSION['ordencompra_marid']);
        	unset($_SESSION['ordencompra_can']);
        		
		$data['ordcom_msj']='Se registró orden de compra N° '.$numdoc.' correctamente.';
		echo json_encode($data);
		
		
		

}	else
	{
		$data['ordcom_est']='0';
		$data['ordcom_msj']='Intentelo nuevamente.';
		echo json_encode($data);
	}
}


if($_POST['action']=="editar")
{
	if(!empty($_POST['hdd_ordcom_pro_id']))
	{

			$oOrdencompra->modificar(
				$_POST['hdd_ordcom_id'],
				$_POST['hdd_ordcom_pro_id'],
				$_POST['txt_ordcom_pro_nom']
			);
		
		$data['ordcom_msj']='Se Modificó la orden correctamente.';

		echo json_encode($data);
	}
	else
	{
		$data['ordcom_msj']='Intentelo nuevamente.';
		echo json_encode($data);
	}
}



if($_POST['action']=="actualizardetalle")
{
	if(!empty($_POST['ordcomdet_id']))
	{

		$oOrdencompra->modificar_detalle($_POST['ordcomdet_id'],$_POST['can']);
		$data['ordcom_msj']='Item modificado.';

		echo json_encode($data);
	}
	else
	{
		$data['ordcom_msj']='Intentelo nuevamente.';
		echo json_encode($data);
	}
}


if($_POST['action']=="quitardetalle")
{
	if(!empty($_POST['ordcomdet_id']))
	{

		$oOrdencompra->eliminar_detalle($_POST['ordcomdet_id']);
		$data['ordcom_msj']='Item eliminado.';

		echo json_encode($data);
	}
	else
	{
		$data['ordcom_msj']='Intentelo nuevamente.';
		echo json_encode($data);
	}
}


if($_POST['action']=="eliminar")
{
	if(!empty($_POST['ordcom_id']))
	{
		
		$oOrdencompra->modificar_campo($_POST['ordcom_id'],'xac','0');
			
		$data['ordcom_id']=$_POST['ordcom_id'];
		$data['ordcom_msj']='Se anulo correctamente.';
		echo json_encode($data);
	}
	else
	{
		$data['ordcom_est']='0';
		$data['ordcom_msj']='Intentelo nuevamente.';
		echo json_encode($data);
	}
}


if($_POST['action']=="agregar")
{
	if(!empty($_POST['ordcom_id']))
	{
		
		$rscod = $oProductomarcacodigo->mostrarUno($_POST['cat_id'],'1');
		$dtcod = mysqli_fetch_array($rscod);
		$codpri = $dtcod['tb_productomarcacodigo_cod'];
		$precos = $dtcod['tb_productomarca_precos'];
		
		$oOrdencompra->insertar_detalle($codpri,$_POST['cat_id'],$_POST['mar_id'],$_POST['cat_can'],$precos,$_POST['ordcom_id']);
		
		$data['ordcom_msj']='Item agregado.';
		$data['ordcom_est']='1';

		echo json_encode($data);
	}
	else
	{
		$data['ordcom_est']='0';
		$data['ordcom_msj']='Intentelo nuevamente.';
		echo json_encode($data);
	}
}



?>